- name: Create directories used by customization roles
  file:
    path: "{{ asset_root_directory }}/{{ item.path }}"
    owner: "{{ item.owner | default(zoox_uid) }}"
    group: "{{ item.group | default(zoox_gid) }}"
    mode: "{{ item.mode | default('755') }}"
    state: directory
  with_items:
    - { path: "/", owner: "root", group: "root" }
    - { path: "/home/", owner: "root", group: "root" }
    - { path: "/home/zoox/" }
    - { path: "/home/zoox/.aws/", mode: '700' }
    - { path: "/home/zoox/.ssh/", mode: '700' }
    - { path: "/home/zoox/Pictures/" }
    - { path: "/etc/default/", owner: "root", group: "root" }
    - { path: "/etc/network/", owner: "root", group: "root" }
    - { path: "/etc/ssh/", owner: "root", group: "root" }
    - { path: "/etc/zoox/" }
    - { path: "/usr/share/backgrounds/", owner: "root", group: "root" }
  become: yes
